using Microsoft.AspNetCore.Hosting;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Hosting;

namespace TestProject
{
    /// <summary>
    /// α׷
    /// </summary>
    public class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region α׷ ϱ - Main(argumentArray)

        /// <summary>
        /// α׷ ϱ
        /// </summary>
        /// <param name="argumentArray"> 迭</param>
        public static void Main(string[] argumentArray)
        {
            CreateHostBuilder(argumentArray).Build().Run();
        }

        #endregion
        #region ȣƮ  ϱ - CreateHostBuilder(argumentArray)

        /// <summary>
        /// ȣƮ  ϱ
        /// </summary>
        /// <param name="argumentArray"> 迭</param>
        /// <returns>ȣƮ </returns>
        public static IHostBuilder CreateHostBuilder(string[] argumentArray) =>
            Host.CreateDefaultBuilder(argumentArray)
                .ConfigureAppConfiguration
                (
                    (context, builder) =>
                    {
                        var root = builder.AddJsonFile("appsettings.json", optional : true, reloadOnChange : true).Build();
                   
                        string connectionString = root.GetConnectionString("DefaultConnection");

                        builder.AddEFConfiguration(options => options.UseSqlServer(connectionString));
                    }
                )
                .ConfigureWebHostDefaults
                (
                    builder =>
                    {
                        builder.UseStartup<Startup>();
                    }
                );

        #endregion
    }
}